[Unit]
Description=OctoPrint
After=network.target

[Service]
User=octoprint
Group=octoprint
Environment="VIRTUAL_ENV=/opt/octoprint/venv"
Environment="PATH=/opt/octoprint/venv/bin:/usr/local/bin:/usr/bin:/bin"
ExecStart=/opt/octoprint/venv/bin/octoprint serve --ipv6 --host ::1 --port 22030
WorkingDirectory=/opt/octoprint
Restart=on-failure

[Install]
WantedBy=multi-user.target
